import "antd/es/col/style";
import _Col from "antd/es/col";
import "antd/es/card/style";
import _Card from "antd/es/card";
import "antd/es/form/style";
import _Form from "antd/es/form";
import "antd/es/upload/style";
import _Upload from "antd/es/upload";
import _InboxOutlined from "@ant-design/icons/lib/icons/InboxOutlined";
import { useContext } from 'react';
import { useStore } from 'zustand';
import { FormRenderContext } from "../../../models/context";
import "./index.less";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var FileComponent = function FileComponent(props) {
  var _useStore;
  var store = useContext(FormRenderContext);
  var _ref = (_useStore = useStore(store, function (state) {
      return state.context;
    })) !== null && _useStore !== void 0 ? _useStore : {},
    uploadConfig = _ref.uploadConfig;
  var schema = props.schema,
    path = props.path;
  var normFile = function normFile(e) {
    if (Array.isArray(e)) {
      return e;
    }
    return e === null || e === void 0 ? void 0 : e.fileList;
  };
  var customRequest = function customRequest(info) {
    var onProgress = info.onProgress,
      onSuccess = info.onSuccess,
      file = info.file,
      onError = info.onError;
    uploadConfig === null || uploadConfig === void 0 ? void 0 : uploadConfig.uploadRequest(file, onProgress).then(function (res) {
      onSuccess(res, file);
    }).catch(function () {
      onError();
    });
  };
  return /*#__PURE__*/_jsx(_Col, {
    span: 24,
    children: /*#__PURE__*/_jsx(_Card, {
      size: "small",
      type: "inner",
      title: /*#__PURE__*/_jsx("div", {
        className: (schema === null || schema === void 0 ? void 0 : schema.required) && 'srender-file-component-required' || '',
        children: schema === null || schema === void 0 ? void 0 : schema.title
      }),
      className: "srender-file-component",
      children: /*#__PURE__*/_jsx(_Form.Item, {
        name: path,
        rules: [{
          required: schema === null || schema === void 0 ? void 0 : schema.required,
          message: "\u8BF7\u4E0A\u4F20".concat(schema === null || schema === void 0 ? void 0 : schema.title)
        }],
        valuePropName: "fileList",
        getValueFromEvent: normFile,
        children: /*#__PURE__*/_jsxs(_Upload.Dragger, {
          listType: "picture-card",
          customRequest: customRequest,
          onDownload: uploadConfig === null || uploadConfig === void 0 ? void 0 : uploadConfig.downloadRequest,
          showUploadList: {
            showDownloadIcon: true
          },
          children: [/*#__PURE__*/_jsx("p", {
            className: "ant-upload-drag-icon",
            children: /*#__PURE__*/_jsx(_InboxOutlined, {})
          }), /*#__PURE__*/_jsx("p", {
            className: "ant-upload-text",
            children: "\u5355\u51FB\u6216\u62D6\u52A8\u6587\u4EF6\u5230\u6B64\u533A\u57DF\u8FDB\u884C\u4E0A\u4F20"
          })]
        })
      })
    })
  });
};
export default FileComponent;